Data access
List decoded-history batches
Query Parameters
dataset?string
Return only this dataset in each selected batch.
Value in
- "account-state-changes"
- "contract-events"
- "ledger-close-meta"
- "ledger-entry-changes"
- "ledgers"
- "operations"
- "transaction-meta"
- "transaction-results"
- "transactions"
- "trustline-state-changes"
limit?integer
Maximum batches returned.
Range
1 <= value <= 100Default
25beforeLedger?integer
Return batches beginning below this unsigned ledger sequence.
Range
1 <= value <= 4294967295Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/history-data/batches"{ "batches": [ { "batchId": "5579c111-9c50-47e2-af92-f16d52e63189", "endLedger": "string", "ledgerCount": 1, "outputs": [ { "byteCount": "string", "dataset": "account-state-changes", "downloadPath": "string", "mediaType": "string", "recordCount": "string", "representation": "lossless-replay", "schemaVersion": "string", "sha256": "string" } ], "processedAt": "2019-08-24T14:15:22Z", "startLedger": "string" } ], "dataset": "account-state-changes", "generatedAt": "2019-08-24T14:15:22Z", "limit": 0, "nextBeforeLedger": "string"}